/*  GTKtalog.
 *  Copyright (C) 1999  Mathieu VILLEGAS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef __SETUP_H__
#define __SETUP_H__

#include <config.h>
#include <gnome.h>

#include "config_common.h"

#define EDIT_MODE 1
#define ADD_MODE 2

gboolean is_mime_valid (gchar * mime);
PIX *new_pix_from_filename (GtkWidget * w, GtkStyle * style, gchar * gs, CONFIG * my_config);
gboolean extensions_traverse(gpointer key, gpointer value, gpointer data);
gint pix_tree_printf(gpointer key, gpointer value, gpointer data);
gint extensions_tree_printf(gpointer key, gpointer value, gpointer data);
void setup_ok_clicked(GtkWidget *w, gpointer data);
void save_myconfig();
void add_type_ok_clicked(GtkWidget *w, gpointer data);
void add_type(GtkWidget *w, gpointer data);
void include_selection_made(GtkWidget *clist, gint row, gint column, GdkEventButton *event, gpointer data);
void include_unselection_made(GtkWidget *clist, gint row, gint column, GdkEventButton *event, gpointer data);
void include_edit_button_clicked(GtkWidget *w, gpointer data);
void include_delete_button_clicked(GtkWidget *w, gpointer data);
void extension_to_mime_GUI (GtkWidget * w, gpointer data);
void run_setup();

#endif
